using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// I_IndustryType 的摘要说明
/// </summary>
namespace Product
{
    public interface IIndustryType
    {
        int Insert(TIndustryType us);           //添加行业信息
        int Update(TIndustryType us);           //修改行业信息
        int UpdateToRelease(TIndustryType us);  //修改行业发布信息
        int UpdateSequence(int paixu, int lbid);//修改行业排序信息
        int Delete(int id);                     //根据行业id删除行业信息
        int Delete(string id);
        DataTable GetDataTable();               //得到行业信息
        DataTable GetDataTable(int id);         //根据id得到行业信息
        DataTable GetDataTable(string ParamID); //根据父级ID字符串得到行业信息
        TIndustryType GateItem(int id);         //根据id得到行业信息
    }
}
